## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           google-benchmark
Version:        1.5.6
%global so_version 1
Release:        %autorelease

License:        Apache-2.0
Summary:        A microbenchmark support library
URL:            https://github.com/google/benchmark
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++

BuildRequires:  gmock-devel
BuildRequires:  gtest-devel

%description
A library to support the benchmarking of functions, similar to unit-tests.


%package devel
Summary:        Development files for %{name}

Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.


%prep
%autosetup -n benchmark-%{version} -p1
sed -e '/get_git_version/d' -e '/-Werror/d' -i CMakeLists.txt


%build
# Do not enable BENCHMARK_ENABLE_ASSEMBLY_TESTS, since it is for a very
# specific OS and compiler:
# https://github.com/google/benchmark/issues/1326#issuecomment-1015221235
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DGIT_VERSION='%{version}' \
    -DBENCHMARK_DOWNLOAD_DEPENDENCIES:BOOL=OFF \
    -DBENCHMARK_ENABLE_GTEST_TESTS:BOOL=ON \
    -DBENCHMARK_ENABLE_ASSEMBLY_TESTS:BOOL=OFF \
    -DBENCHMARK_ENABLE_INSTALL:BOOL=ON \
    -DBENCHMARK_ENABLE_TESTING:BOOL=OFF
%cmake_build


%check
%ctest


%install
%cmake_install


%files
%license AUTHORS
%license CONTRIBUTORS
%license LICENSE

%doc README.md

%{_libdir}/libbenchmark*.so.%{so_version}{,.*}


%files devel
%{_libdir}/libbenchmark*.so
%{_includedir}/benchmark/
%{_libdir}/cmake/benchmark/
%{_libdir}/pkgconfig/benchmark*.pc


%changelog
## START: Generated by rpmautospec
* Wed Jun 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.6-11
- Explicitly disable assembly tests

* Tue Jun 17 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.6-8
- Do not package CONTRIBUTING.md, which is about working with upstream

* Tue Jun 17 2025 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.6-5
- Converted license tag to SPDX format.

* Tue Jun 17 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.6-4
- Update License to SPDX

* Tue Jun 17 2025 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.6-3
- Removed obsolete __cmake_in_source_build definition.

* Fri Nov 29 2024 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.6-2
- Added trailing slash to directories in %%files section.

* Fri Nov 29 2024 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.6-1
- Updated to version 1.5.6.

* Sat Jun 12 2021 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.5-1
- Updated to version 1.5.5.

* Mon May 31 2021 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.4-1
- Updated to version 1.5.4.

* Mon Apr 26 2021 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.3-1
- Updated to version 1.5.3.

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Oct 14 2020 Jeff Law <law@redhat.com> - 1.5.2-2
- Fix missing #include for gcc-11

* Sat Sep 12 2020 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.2-1
- Updated to version 1.5.2.

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jul 19 2020 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.1-1
- Updated to version 1.5.1.
- Fixed RHBZ#1858127.

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 28 2019 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.0-1
- Updated to version 1.5.0.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 25 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 1.4.1-1
- Initial SPEC release.

## END: Generated by rpmautospec
